/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package gamegraphics.image;

import java.awt.Image;
import java.awt.image.*;
import java.io.*;
import java.net.URL;
import javax.imageio.*;

/**
 *
 * @author Ani
 */
public class ReadImage {

    public static Image readImage(File file) throws IOException{
        return ImageIO.read(file);
    }

    public static Image readImage(String filename) throws IOException{
        return readImage(new File(filename));
    }

    public static BufferedImage readImage(URL url) throws IOException{
        return ImageIO.read(url);
    }

    public static BufferedImage readImage(FileInputStream in) throws IOException{
        return ImageIO.read(in);
    }



}
